Project

General

Profile

gcc 4.8 for OMAP-L138

Added by Ben Atkinson over 4 years ago

Our group has a strong desire to use gcc 4.8 to compile for the ARM926EJ-S on the OMAP-L138. We want to take advantage of C++11 thread support that is in 4.8. The arm-angstrom-linux-gnueabi-gcc we have been using is gcc 4.5.4, and it has only limited support for C++11 threading.

Our build machine is Ubunutu 14.04 LTS, and I explored getting the gcc-arm-linux-gnueabi package from the Ubuntu repo, but the gcc you get with that is version 4.7. Gcc 4.7 is no better than version 4.5 with respect to C++11 concurrency. The Ubuntu gcc-arm-linux-gnueabihf package is gcc 4.8, but the ARM926EJ-S doesn't have an internal hardware floating point unit, so gnueabihf doesn't seem appropriate, either.

I found a how-to using crosstool-ng to build gcc 4.8 for the ARM926EJ-S, but before I go down that path, I wanted to check with you. Is there is a more straightforward way of getting open-source gcc 4.8 (and runtime libraries) for the OMAP-L138 ARM?

Thanks for your help.

Regards,

Ben


Replies (26)

RE: gcc 4.8 for OMAP-L138 - Added by Ben Atkinson over 4 years ago

Jonathan,

Thank you very much for your help. This uImage works.

Regards,

Ben

(26-26/26)
Add picture from clipboard (Maximum size: 500 MB)